<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('main_item.item_nature')}}</label>
                <div class="col-lg-6">
                  <v-select name="item_nature" label="item_nature_dr" v-validate="'required'"  dir="rtl" :options="item_nature" v-model='s_fields.item_nature'>
                  </v-select>
                    <span v-if="s_errors && s_errors.item_nature" class="m-form__help text-danger">{{s_errors.item_nature[0]}}</span>
                    <span v-else class="m-form__help">{{$t('main_item.itm_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('main_item.name_dr')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="main_item_name_dr" v-model="s_fields.main_item_name_dr" :placeholder="$t('main_item.pl_holder')">
                    <span v-if="s_errors && s_errors.main_item_name_dr"  class="m-form__help text-danger">{{s_errors.main_item_name_dr[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('main_item_name_dr')}" >{{errors.has('main_item_name_dr') ? errors.first('main_item_name_dr'): $t("main_item.mi_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('main_item.name_pa')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="main_item_name_pa" v-model="s_fields.main_item_name_pa" :placeholder="$t('main_item.pl_holder')">
                    <span v-if="s_errors && s_errors.main_item_name_pa" class="m-form__help text-danger">{{s_errors.main_item_name_pa[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('main_item_name_pa')}" >{{errors.has('main_item_name_pa') ? errors.first('main_item_name_pa'): $t("main_item.mi_note") }} </span>
                </div>
            </div>

            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('main_item.name_en')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="main_item_name_en" v-model="s_fields.main_item_name_en" :placeholder="$t('main_item.pl_holder')">
                    <span v-if="s_errors && s_errors.main_item_name_en" class="m-form__help text-danger">{{s_errors.main_item_name_en[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('main_item_name_en')}" >{{errors.has('main_item_name_en') ? errors.first('main_item_name_en'): $t("main_item.mi_note") }} </span>
                </div>
            </div>

        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/main_category" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'MainItemForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/main_item',
                'editMode': this.$route.meta.editMode,
                s_fields: {
                  item_nature: ['یگ گزینه را انتخاب کنید.'],
                },
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            })

              this.$root.$on('get-item-nature', () => {
              this.getItem('api/item_nature');
              this.$root.$off('get-item-nature');
            })
        }
    }
</script>
